org.apache.hadoop.mapreduce.lib.reduce

## Class WrappedReducer<KEYIN,VALUEIN,KEYOUT,VALUEOUT>

- java.lang.Object
- - org.apache.hadoop.mapreduce.Reducer<KEYIN,VALUEIN,KEYOUT,VALUEOUT>
  - - org.apache.hadoop.mapreduce.lib.reduce.WrappedReducer<KEYIN,VALUEIN,KEYOUT,VALUEOUT>

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class WrappedReducer<KEYIN,VALUEIN,KEYOUT,VALUEOUT>
      extends Reducer<KEYIN,VALUEIN,KEYOUT,VALUEOUT>

  A `Reducer` which wraps a given one to allow for custom `Reducer.Context` implementations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrappedReducer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.mapreduce.Reducer.Context` | `getReducerContext(ReduceContext<KEYIN,VALUEIN,KEYOUT,VALUEOUT> reduceContext)` A a wrapped `Reducer.Context` for custom implementations.

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Reducer

      `cleanup, reduce, run, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WrappedReducer

          public WrappedReducer()

  - ### Method Detail

    - #### getReducerContext

          public org.apache.hadoop.mapreduce.Reducer.Context getReducerContext(ReduceContext<KEYIN,VALUEIN,KEYOUT,VALUEOUT> reduceContext)

      A a wrapped `Reducer.Context` for custom implementations.
      Parameters:
        `reduceContext` - `ReduceContext` to be wrapped
      Returns:
        a wrapped `Reducer.Context` for custom implementations

Copyright © 2022 Apache Software Foundation. All rights reserved.